build failure: gee vapi version conflict

Reported by Pim Vullers on 2013-04-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gala
Undecided
Unassigned

Bug Description

When trying to compile gala I get the following error:

make[2]: Entering directory `/tmp/portage/x11-wm/gala-9999/work/gala-9999_build'
/usr/bin/cmake -E cmake_progress_report /tmp/portage/x11-wm/gala-9999/work/gala-9999_build/CMakeFiles 1
[ 6%] Generating src/DBus.c, src/Main.c, src/Plugin.c, src/Settings.c, src/TextShadowEffect.c, src/Utils.c, src/Zooming.c, src/Widgets/AppIcon.c, src/Widgets/WindowOverview.c, src/Widgets/WindowSwitcher.c, src/Widgets/WindowThumb.c, src/Widgets/WorkspaceThumb.c, src/Widgets/WorkspaceView.c, Config.c
/usr/bin/valac-0.20 -C -b /tmp/portage/x11-wm/gala-9999/work/gala-9999 -d /tmp/portage/x11-wm/gala-9999/work/gala-9999_build --pkg=granite --pkg=libbamf3 --pkg=libmutter --pkg=plank --pkg=clutter-gtk-1.0 --pkg=gdk-x11-3.0 --pkg=gdesktopenums-3.0 --pkg=xfixes-4.0 -g --vapidir=/tmp/portage/x11-wm/gala-9999/work/gala-9999/vapi/ --define=HAS_MUTTER36 /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/DBus.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Main.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Plugin.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Settings.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/TextShadowEffect.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Utils.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Zooming.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Widgets/AppIcon.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Widgets/WindowOverview.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Widgets/WindowSwitcher.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Widgets/WindowThumb.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Widgets/WorkspaceThumb.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999/src/Widgets/WorkspaceView.vala /tmp/portage/x11-wm/gala-9999/work/gala-9999_build/src/Config.vala
gee-0.8.vapi:7.3-7.57: error: `Gee.Functions' already contains a definition for `get_compare_func_for'
  public static GLib.CompareDataFunc get_compare_func_for (GLib.Type t);
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
gee-1.0.vapi:7.3-7.53: note: previous definition of `get_compare_func_for' was here
  public static GLib.CompareFunc get_compare_func_for (GLib.Type t);
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
gee-0.8.vapi:9.3-9.52: error: `Gee.Functions' already contains a definition for `get_equal_func_for'
  public static Gee.EqualDataFunc get_equal_func_for (GLib.Type t);
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
gee-1.0.vapi:9.3-9.49: note: previous definition of `get_equal_func_for' was here
  public static GLib.EqualFunc get_equal_func_for (GLib.Type t);
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
...

This is caused by gala requiring gee-1.0, while plank (pantheon-dock) requires gee-0.8. During compilation both vapi files are pulled in resulting in this conflict. As far as I can see the simplest solution would be to also switch to gee-0.8 (which is the newest version).

Build on Gentoo LInux with gala and pantheon-dock from trunk.

Rico Tzschichholz (ricotz) wrote :

Simply pass "--disable-gee-0.8" to the plank build

Changed in gala:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers